Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057181 - Outdated information in Section 8.3. Preparing Hypervisor Installation Media
Summary: Outdated information in Section 8.3. Preparing Hypervisor Installation Media
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Andrew Dahms
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks: RHEV-RHCI
TreeView+ depends on / blocked
 
Reported: 2014-01-23 15:21 UTC by Matt Reid
Modified: 2014-09-19 01:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 01:32:32 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Matt Reid 2014-01-23 15:21:58 UTC
Title: Preparing USB Installation Media Using livecd-iso-to-disk

Describe the issue:
The information contained in 8.3.1.2 is no longer correct. The summary reads:
"The livecd-iso-to-disk command will install a Hypervisor onto a USB storage device. The livecd-iso-to-disk command is included in the rhev-hypervisor-tools package. Devices which have the Hypervisor image written to them with this command are able to boot the Hypervisor on systems which support booting via USB."

There is no such package anymore as rhev-hypervisor-tools. The livecd-iso-to-disk command is contained in livecd-tools, which should be installed according to the previous section.

I was linked to 8.1.3 from https://access.redhat.com/site/articles/438763
which bypassed the section that mentioned I had to install livecd-tools. I spent awhile trying to figure out why I didn't seem to have access to the rhev-hypervisor-tools package that contained the command I needed to proceed with my installation and had to ask a developer for help. 


Suggestions for improvement:
This section should be updated to say that the livecd-iso-to-disk command is contained in the livecd-tools package.

And it would be useful to update the https://access.redhat.com/site/articles/438763 to either mention which packages need to be installed to set up the hypervisor, or possibly have it link to the previous section, so they know they aren't missing any packages and don't hit the same issue I did.


Additional information:.
This affects the 3.2 version of the Install guide as well (that's the version I was looking at, but it's still present in the most current version).

Comment 1 Andrew Dahms 2014-02-13 23:51:21 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Installation_Guide/index.html#Preparing_USB_Installation_Media_using_rhevh-iso-to-disk

What Changed
------------------------------
The following topic was revised to change the package name 'rhev-hypervisor-tools' to 'livecd-tools'.

Preparing USB Installation Media Using livecd-iso-to-disk [ 7527-588858 ]

Updated revision history [ 21134-588876 ]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Installation_Guide-3.3-en-US-3.3-36

Comments
------------------------------
I will also follow up on the customer portal link and see if it is possible to introduce the change there as well.

Moving to ON_QA.

Comment 2 Jodi Biddle 2014-07-14 14:53:43 UTC
Hi Matt

Can you please provide quick QE on this bug at the above link, and if it's fixed to your satisfaction, can you change the bug status to verified? Thanks

Comment 3 Matt Reid 2014-07-14 15:50:45 UTC
Looks good to me, although the change may have already been pulled in? I'm not noticing any difference between the docbuilder version for that section, and what's in the 3.3/3.4 guide on Portal. The 3.2 version says the wrong thing, but livecd-tools is mentioned in "8.3.1.2. Preparing USB Installation Media Using livecd-iso-to-disk" of the 3.3 guide.

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Installation_Guide/index.html#Preparing_USB_Installation_Media_using_rhevh-iso-to-disk

Comment 4 Jodi Biddle 2014-07-14 23:37:18 UTC
Unfortunately we don't usually have the resources to backport more than once or twice per release, and never to older guides unless it's a critical issue or a particular customer complaint. 

I'll move this conversation to email and loop in Brett to find out more about your intentions for the review.


Note You need to log in before you can comment on or make changes to this bug.